#pragma once

#include <stdio.h>
#include <stdbool.h>

struct status
{
	unsigned int id;
	unsigned int account_id;

	char* content;
	bool sensitive;

	struct {
		char** items;
		int count;
	} media;

	struct {
		char** items;
		int count;
	} reacts;
};

struct status* status_from_id( unsigned int id );

bool status_save_new( struct status* s );
void status_save( struct status* s );
void status_free( struct status* s );

