#pragma once

#include <stdio.h>
#include <time.h>
#include <stdbool.h>

struct notification
{
	unsigned int id;
	unsigned int account_id;
	unsigned int status_id;
	time_t created_at;
	bool is_muted;
	bool is_seen;
	int type;
};

enum notification_type
{
	nt_favorite = 1,
	nt_follow = 2,
};

struct notification* notification_from_id( int id );
struct notification* notification_new();
void notification_save( struct notification* note );
void notification_free( struct notification* note );

// TODO: move to controler/view
void notification_write_as_json( struct notification* n, FILE* f );

